%define rtname rt
%define rtminver 3.4.2
%define rtupname RT
%define rtfmname rtfm
%define rtfmupname RTFM
%define rtfullname request-tracker
%define fullname request-tracker-extension-rtfm
%define wwwroot %_var/www/html
%define webusr apache
%define webgrp apache
%define dba    root
%define svn    svn7331

Summary: The RT FAQ Manager (RTFM) is an extension to Request Tracker (RT). It is designed for an enterprise-grade knowledge management
Name: %fullname
Version: 2.2.0
Serial: 1
Release: alt3.%svn
Group: Networking/WWW
License: GPL
Url: http://www.bestpractical.com/rtfm/
Source: http://download.bestpractical.com/pub/rtfm/devel/%rtfmname-%version.tar.gz
BuildArch: noarch

#Source1: %rtfmname-initialdata-ru
Source2: %rtfmname-ru.po

BuildRequires: autoconf perl
AutoReq: no

# RT
Requires: %rtfullname >= 3.4.2

# Perl modules
Requires: perl(Text/WikiFormat.pm)
Requires: perl(HTML/TreeBuilder.pm)
Requires: perl(HTML/FormatText.pm)

%description
RTFM is an enterprise-grade knowledge management tool that enables an
organization to easily capture and share its employees' knowledge and wisdom.

%package ru
Summary: Full russian support for %name
Group: Networking/WWW
Requires: %name = %version

%description ru
Full russian support for %name



%prep

%setup -q -n %rtfmname-%version

%install

find %buildroot/ -name .svn -type d -print0 | xargs -r0 rm -rf --
find . -name .svn -type d -print0 | xargs -r0 rm -rf --

%__mkdir_p %buildroot%_sysconfdir/%rtname/%rtfmname
%__mkdir_p %buildroot%wwwroot/%rtname/

%__mkdir_p %buildroot%_libdir/%rtname/{bin,sbin,lib}
%__mkdir_p %buildroot%_libdir/%rtname/lib/%rtupname/I18N
%__cp -r bin/* %buildroot%_libdir/%rtname/bin
%__cp -r sbin/* %buildroot%_libdir/%rtname/sbin
%__cp -r lib/* %buildroot%_libdir/%rtname/lib/
%__cp -r po/* %buildroot%_libdir/%rtname/lib/%rtupname/I18N/
%__cp -r html/* %buildroot%wwwroot/%rtname/
%__cp -r etc/* %buildroot%_sysconfdir/%rtname/%rtfmname/

%__mkdir_p %buildroot%_libdir/%rtname/local/po/%rtfmupname


# new russian files
#%__cp %SOURCE1 %buildroot%_libdir/%rtname/local/etc/initialdata
%__cp %SOURCE2 %buildroot%_libdir/%rtname/local/po/%rtfmupname/ru.po

# fix permissions
find %buildroot%_libdir/%rtname/ -type d -print0 | xargs -r0 chmod 2755 --
find %buildroot%_libdir/%rtname/ -type f -print0 | xargs -r0 chmod 0644 --
find %buildroot%_libdir/%rtname/ -name '*.pm' -type f -print0 | xargs -r0 chmod 0755 --
find %buildroot%_libdir/%rtname/bin/ -type f -print0 |xargs -r0 chmod 0755 --
find %buildroot%_libdir/%rtname/sbin/ -type f -print0 |xargs -r0 chmod 0755 --
find %buildroot%wwwroot/%rtname -type d -print0 |xargs -r0 chmod 2755 --
find %buildroot%wwwroot/%rtname -type f -print0 |xargs -r0 chmod 0644 --
find %buildroot%_libdir/%rtname/local -type d -print0 |xargs -r0 chmod 2755 --
find docs -type f -print0 |xargs -r0 chmod 0644 --

%post

echo "Congratulations. RTFM has been installed."
echo ""
echo "After that, you need to upgrade RT's database by running"
echo ""
echo "%_libdir/%rtname/sbin/rt-setup-database --action schema \ "
echo "     --dba %dba --prompt-for-dba-password --datadir %_sysconfdir/%rtname/%rtfmname"
echo ""
echo "%_libdir/%rtname/sbin/rt-setup-database --action acl \ "
echo "     --dba %dba --prompt-for-dba-password --datadir %_sysconfdir/%rtname/%rtfmname"
echo ""
echo "%_libdir/%rtname/sbin/rt-setup-database --action insert \ "
echo "     --dba %dba --prompt-for-dba-password --datadir %_sysconfdir/%rtname/%rtfmname"
echo ""


%files
%doc ChangeLog README TODO
%attr(-,root,%webgrp) %_libdir/%rtname/bin/*
%attr(-,root,%webgrp) %_libdir/%rtname/sbin/*
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/*.pm
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/FM
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/URI/*
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/I18N/*
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/Admin/RTFM
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/Admin/Global/CustomFields/*
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/Callbacks/RTFM
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/NoAuth/*
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/RTFM
%attr(0750,root,%webgrp) %dir /%_sysconfdir/%rtname/%rtfmname
%attr(0640,root,%webgrp) %config(noreplace) /%_sysconfdir/%rtname/%rtfmname/*
#%attr(0640,root,%webgrp) %config(noreplace) /%_libdir/%rtname/%rtfmname/local/etc/*

%files ru
#%attr(-,root,%webgrp) %_libdir/%rtname/local/etc/initialdata
%attr(-,root,%webgrp) %_libdir/%rtname/local/po/%rtfmupname/ru.po

%changelog
* Mon Mar 26 2007 Andrew Kornilov <hiddenman@altlinux.ru> 1:2.2.0-alt3.svn7331
- Latest SVN updates

* Tue Oct 03 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1:2.2.0-alt2.svn6144
- Latest SVN updates
- libexec changed to libdir

* Thu May 11 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1:2.2.0-alt2.svn5204
- Added Serial tag

* Sat May 06 2006 Andrew Kornilov <hiddenman@altlinux.ru> 2.2.0RC2-alt1.svn5167
- Latest SVN updates

* Sat Jan 21 2006 Andrew Kornilov <hiddenman@altlinux.ru> 2.2.0RC1-alt1.svn4431
- 2.2.0 RC1 

* Wed Sep 28 2005 Andrew Kornilov <hiddenman@altlinux.ru> 2.1.41-alt3
- Some spec clenups

* Mon Sep 26 2005 Andrew Kornilov <hiddenman@altlinux.ru> 2.1.41-alt2
- Initial package with full russian support

* Mon Sep 26 2005 Andrew Kornilov <hiddenman@altlinux.ru> 2.1.41-alt1
- Initial build

